openSUSE Security Update : java-1_8_0-openjdk (openSUSE-2017-201)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for java-1_8_0-openjdk fixes the following issues: Oracle
Critical Patch Update of January 2017 (bsc#1020905) Upgrade to version
jdk8u121 (icedtea 3.3.0) :

- S8138725: Add options for Javadoc generation

- S8140353: Improve signature checking

- S8151934, CVE-2017-3231: Resolve class resolution

- S8156804, CVE-2017-3241: Better constraint checking

- S8158406: Limited Parameter Processing

- S8158997: JNDI Protocols Switch

- S8159507: RuntimeVisibleAnnotation validation

- S8161218: Better bytecode loading

- S8161743, CVE-2017-3252: Provide proper login context

- S8162577: Standardize logging levels

- S8162973: Better component components

- S8164143, CVE-2017-3260: Improve components for menu
items

- S8164147, CVE-2017-3261: Improve streaming socket output

- S8165071, CVE-2016-2183: Expand TLS support

- S8165344, CVE-2017-3272: Update concurrency support

- S8166988, CVE-2017-3253: Improve image processing
performance

- S8167104, CVE-2017-3289: Additional class construction
refinements

- S8167223, CVE-2016-5552: URL handling improvements

- S8168705, CVE-2016-5547: Better ObjectIdentifier
validation

- S8168714, CVE-2016-5546: Tighten ECDSA validation

- S8168728, CVE-2016-5548: DSA signing improvements

- S8168724, CVE-2016-5549: ECDSA signing improvements

This update was imported from the SUSE:SLE-12-SP1:Update update
project.

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1020905
https://bugzilla.opensuse.org/show_bug.cgi?id=1022053

Solution :

Update the affected java-1_8_0-openjdk packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now